# Fetching a list of Rate Card Versions

Rate Card Versions are only accessible by Administrators on the account.
This endpoint returns structured Rate Card Version objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `rate_card_versions` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: GET /rate_card_versions
Version: 1.0.0

## Query parameters:

  - `created_after` (string)
    Filter for records created after a specified datetime. The datetime must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

  - `created_before` (string)
    Filter for records created before a specified datetime. The datetime must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

  - `effective_on_date` (string)
    Returns Rate Card Versions that are effective on the requested date.
The date should be in `<ISO_8601 Date Format>` eg. `'2014-02-25'`. The date must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

  - `include` (string)
    Any of the below associations can be included in your request by providing the `include` param, e.g. `include=association1,association2`.
- `rate_card` (RateCard) - The Rate Card to which this version belongs.
- `rate_card_roles` (RateCardRole) - The Rate Card Roles owned by this Rate Card Version.
- `rate_card_set_version` (RateCardSetVersion) - The Rate Card Set Version to which this version belongs.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like `GET /api/v1/workspaces.json?only=5,6,7`.

  - `order` (string)
    Supply `order` with the name of a valid sort field for the endpoint and a direction.

Valid values: `created_at:asc` and `created_at:desc`.

  - `page` (integer)

  - `per_page` (integer)

  - `rate_card_id` (integer)
    Restricts Rate Card Versions to the specified Rate Card ID.

  - `rate_card_set_id` (integer)
    Restricts Rate Card Versions to the specified Rate Card Set ID.

  - `rate_card_set_version_id` (integer)
    Restricts Rate Card Versions to the specified Rate Card Set Version ID.

  - `updated_after` (string)
    Filter for records updated after a specified datetime. The datetime must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

  - `updated_before` (string)
    Filter for records updated before a specified datetime. The datetime must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

